
package com.ejie.ad74a.ws.client.platea.tareasTramitacion;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Clase Java para TSignAlgType.
 * 
 * <p>El siguiente fragmento de esquema especifica el contenido que se espera que haya en esta clase.
 * <p>
 * <pre>
 * &lt;simpleType name="TSignAlgType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="PKCS7"/&gt;
 *     &lt;enumeration value="XADES"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "TSignAlgType", namespace = "com/ejie/x43s/v2/ttn/xml")
@XmlEnum
public enum TSignAlgType {

    @XmlEnumValue("PKCS7")
    PKCS_7("PKCS7"),
    XADES("XADES");
    private final String value;

    TSignAlgType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TSignAlgType fromValue(String v) {
        for (TSignAlgType c: TSignAlgType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
